Get cluster details
Visibility: internal ยท public ( OpenAPI Custom Extension: x-visibility )
Retrieve cluster details, health status, and endpoint information.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication using OAuth2/OIDC tokens
In: header
Path Parameters
region*string
Region identifier
project*string
Project identifier
id*string
Unique cluster identifier
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.k0rdent.ai/v1/regions/string/projects/string/compute/clusters/string"{
"selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/clusters/cluster-a1b2c3",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"id": "cluster-a1b2c3",
"displayName": "string",
"description": "string",
"nodePools": [
null
],
"status": {
"phase": "string",
"conditions": [
{}
]
},
"nodeCount": 0,
"kubernetesVersion": "string",
"endpoint": {
"url": "string",
"caCertificate": "string"
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}How is this guide?